# $Revision: 1.48 $, $Date: 2004/01/02 16:11:38 $
Summary:	A program to build tty dialog boxes
Summary(de):	Ein Programm zum Erstellen von tty-Dialogfeldern
Summary(fr):	Programme pour construire des botes de dialogue en mode texte
Summary(pl):	Dialog tworzy okienkowy interfejs uytkownika na terminalu tekstowym
Summary(tr):	tty diyalog kutular oluturan bir program
Name:		dialog
Version:	0.69
Release:	11
Epoch:		1
License:	GPL
Group:		Applications/Terminal
Source0:	ftp://iride.unipv.it/pub/linux/dialog/%{name}-%{version}.tar.gz
# Source0-md5:	479652df0812eaa92fa9fbec98dd72cd
# other (more recent but probably worse) dialog source:
# ftp://AdvancedResearch.org/pub/vstemen/%{name}-0.7.tar.gz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	932081790cd8aa857822bd2b0eafa5bb
Patch0:		%{name}-shared.patch
Patch1:		%{name}-manpath.patch
Patch2:		%{name}-awk.patch
Patch3:		%{name}-examples.patch
Patch4:		%{name}-opt.patch
Patch5:		%{name}-menumouse.patch
Patch6:		%{name}-menuborder.patch
Patch7:		%{name}-segv.patch
URL:		http://www.AdvancedResearch.org/dialog/
BuildRequires:	autoconf
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dialog is a utility that allows you to build user interfaces in a TTY
(text mode only). You can call dialog from within a shell script to
ask the user questions or present with choices in a more user friendly
manner.

%description -l de
Dialog ist ein Dienstprogramm, das das Erstellen einer
Benutzeroberflche in einem TTY ermglicht (nur Textmodus). Sie knnen
dialog mit einem Shell-Script aufrufen, um dem Benutzer auf
benutzerfreundliche Weise Fragen zu stellen oder eine Auswahl
anzubieten. Unter /usr/src/examples/dialog-%{version} finden Sie
einige Beispiele.

%description -l fr
dialog est un utilitaire permettant de construire des interfaces
utilisateur en mode texte. On peut appeler dialog  partir d'un script
shell pour poser des questions  l'utilisateur ou lui proposer des
choix de faon conviviale. Voir /usr/src/examples/dialog-%{version}
pour quelques exemples.

%description -l pl
Dialog jest narzdziem umoliwiajcym stworzenie przyjaznego
interfejsu uytkownika na terminalu pracujcym w trybie tekstowym. Do
programu doczone s przykadowe skrypty, uatwiajce rozpoczcie
pracy.

%description -l tr
Dialog, metin ekran iin kullanc arayzleri oluturmay salayan bir
aratr. Kullancya seenekleri gstermek veya sorular sormak iin,
dialog programn bir kabuk programc iinden arabilirsiniz.
rnekler iin /usr/src/examples/dialog-%{version} dizinine baknz.

%package devel
Summary:	Libraries and headers files for dialog
Summary(pl):	Biblioteki i pliki nagwkowe dla dialog
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
Libraries and header files for dialog.

%description devel -l pl
Biblioteki i pliki nagwkowe dla dialog.

%package static
Summary:	Static dialog library
Summary(pl):	Statyczna biblioteka dialog
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static dialog library.

%description static -l pl
Statyczna biblioteka dialog.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__autoconf}
%configure

%{__make} depend shared all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_examplesdir}/%{name}}

%{__make} install \
    prefix=$RPM_BUILD_ROOT%{_prefix} \
    LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
    mandir=$RPM_BUILD_ROOT%{_mandir}

cp -a samples/* dialog.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dialog
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_mandir}/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files devel
%defattr(644,root,root,755)
%doc README CMDLINE
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*
%attr(- ,root,root) %{_examplesdir}/dialog

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dialog.spec,v $
Revision 1.48  2004/01/02 16:11:38  jajcus
- Release: 11 (STBR after AMD64 fixes)

Revision 1.47  2003/12/26 17:15:32  jajcus
- pass libdir to make install (fixes AMD64 build)

Revision 1.46  2003/08/31 17:32:18  mmazur
- rel 10 for ac

Revision 1.45  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.44  2003/05/25 10:59:12  misi3k
- added Source{0,1} md5sun

Revision 1.43  2003/05/25 05:46:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2002/05/25 21:39:00  qboosh
- removed .lsm file from doc (outdated and redundant)

Revision 1.41  2002/05/21 23:12:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/05/21 12:41:55  kloczek
- use new %doc packing infrastructure.

Revision 1.39  2002/05/21 12:32:24  malekith
- rel 9, yet another segv killed (also by Jarek Kulesza <jik@telkab.pl>)
  hope, this is last one :)

Revision 1.38  2002/05/20 14:01:34  malekith
- sorry, forgot to remove # :<<

Revision 1.37  2002/05/20 12:06:52  malekith
- rel 8, stbr
- yet another segv killed (patch by Jarek Kulesza <jik@telkab.pl>)

Revision 1.36  2002/05/17 14:01:51  malekith
- rel 7
- fixed one segv (patch by Jarek Kulesza <jik@telkab.pl>)

Revision 1.35  2002/04/25 16:11:38  arturs
fixed a small typo

Revision 1.34  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.33  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.30  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/11/06 15:01:24  qboosh
- menumouse patch: fix for mouse on 1st item in dialog_list
- menuborder patch: don't destroy border in dialog_list
- release 6

Revision 1.28  2001/10/31 12:48:42  qboosh
- changed Source0 URL to point to proper dialog version
  (ouch, various versions of dialog packages make big mess...)

Revision 1.27  2001/10/24 22:54:19  ankry
- no "-" in tar options necessary

Revision 1.26  2001/10/24 20:51:51  ankry
- added hu, pl man pages
- release 5

Revision 1.25  2001/10/11 12:25:30  qboosh
- BuildRequires: autoconf

Revision 1.24  2001/09/26 17:47:44  qboosh
- adapterized, call ldconfig in post/postun
- changed shared patch: link libdialog.so with used libraries
- release 4

Revision 1.23  2001/09/06 00:56:04  blues
- Release 3
- URL updated
STBR - rebuild with gpm-libs (it was forgoten)

Revision 1.22  2000/12/22 05:54:04  kloczek
- spec adapterized and added using new rpm automation,
- move all %doc to devel,
- more macros,
- added Epoch: 1 for allow upgrade from RH dialog version.

Revision 1.21  2000/12/21 15:12:14  baggins
- release 2
- added opt patch

Revision 1.20  2000/10/30 08:42:35  jajcus
- path to awk fixed in doc/manpager
- examples patched so they work when installed
- examples moved to /usr/src/examples/dialog (instead of /usr/src/dialog)

Revision 1.19  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/18 18:08:16  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.15  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Apr 28 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.69-1]
- upgrade to 0.69
- changed source URL
- added libs, devel and static subpackage
- fixed coping samples

* Thu Apr 22 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.6-15]
- compiled on rpm 3
- gzipped docs
- samples moved to /usr/src/examples

* Sun Oct 18 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [0.6-13]
- added pl translation,
- allow building from non root account,
- defined files permission,
- removed INSTALL and COPYING from docs,
- rewritten %install section.
